using Mindmagma.Curses;
using SCI.CursesWrapper;

namespace ANSI_Fahrplan.Screens;

public class IntroScreen : Window {
	private nint infoTextBox;

	/// <summary>
	/// Pass class constructor through to inherited constructor
	/// </summary>
	/// <param name="parentWindow">Parent window of this window object</param>
	public IntroScreen (nint screen) :
		base (
			1, 1,
			CursesWrapper.GetWidth (screen) - 2,
			CursesWrapper.GetHeight (screen) - 2
		)
	{
			string asciiArtPlusText =
				"Press F1 for a quick start guide or simply press Enter\n" +
				"to see upcoming events\n" +
				AsciiArt.logo38c3_80x24 +
				"\n38C3 Fahrplan in your terminal!";

			AsciiArt.ShowCentered (WindowId, asciiArtPlusText);
	}
}